### 8.90 `FRACTION` — Fractional part of the model representation

Description:
  `FRACTION(X)` returns the fractional part of the model representation of `X`.
Standard:
  Fortran 95 and later
Class:
  Elemental function
Syntax:
  `Y = FRACTION(X)`
Arguments:

  X | The type of the argument shall be a `REAL`.

Return value:
  The return value is of the same type and kind as the argument. The fractional part of the model representation of `X` is returned; it is `X * RADIX(X)**(-EXPONENT(X))`.
Example:

                program test_fraction
                  real :: x
                  x = 178.1387e-4
                  print *, fraction(x), x * radix(x)**(-exponent(x))
                end program test_fraction